Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
Class DefaultChildPropertySetter

Default impl that calls parent.propertyName = child
If parent.propertyName is a Collection it will try to add child to the collection.

Constructor Summary
`DefaultChildPropertySetter()`

Method Summary
`void` | `setChild(Object parent, Object child, String parentName, String propertyName)`

Constructor Detail

### DefaultChildPropertySetter

    DefaultChildPropertySetter()

Method Detail

### setChild

    public void setChild(Object parent, Object child, String parentName, String propertyName)